import { computed, defineComponent, onMounted, PropType, ref } from 'vue'

import { ICalcStat, IOperators } from '../../model'
import { useUserStore } from '../../store/UserStore'
import { useRouter } from 'vue-router'
import { useGlobalStore } from '../../store/globalStore'
import { useI18n } from 'vue-i18n'
import { CTitleBanner } from '@src/components/CTitleBanner'
import { tools } from '@tools'

import { CVerifyEmail } from '@src/components/CVerifyEmail'
import { CVerifyTelegram } from '@src/components/CVerifyTelegram'

import MixinUsers from '@src/mixins/mixin-users'


export default defineComponent({
  name: 'CUserNonVerif',
  components: {
    CTitleBanner, CVerifyTelegram, CVerifyEmail,
  },
  props: {
  },
  setup(props) {

    const userStore = useUserStore()
    const globalStore = useGlobalStore()

    const site = ref(globalStore.site)
    const username_telegram_aportador = ref('')

    function load() {
      ///
    }

    onMounted(load)

    return {
      userStore,
      globalStore,
      tools,
      site,
      username_telegram_aportador,
    }
  },
})
